# $Revision: 1.16 $, $Date: 2002/06/05 22:17:49 $
Summary:	News caching proxy
Summary(pl):	Proxy buforujcy dostp do newsw
Name:		nntpcache
Version:	2.4.0b5
Release:	3
License:	Free for non-commercial use
Group:		Daemons
Source0:	ftp://ftp.nntpcache.org/pub/nntpcache/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-am_fix.patch
Patch3:		%{name}-ext.patch
URL:		http://www.nntpcache.org/
BuildRequires:	pam-devel
BuildRequires:	autoconf
BuildRequires:	automake
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Install this program if you have slow link to news server and/or many
users using news and want to save bandwidth. This program will forward
NNTP request to specified server and will return replies to client,
also caching them. So if request can be satisfied (fully or partially)
using cached data, it will be, and only data not found in cache will
be requested from server. This can save a lot of time, especially, if
your users use news clients which dont do any caching by themselves
(such as slrn, which downloads headers every time user enters group).

%description -l pl
Zainstaluj ten program, jeli masz wolne poczenie z serwerem news
albo/i wielu uytkownikw korzystajcych z newsw, a chcesz odciy
cze. Ten program przekazuje rzdzania NNTP do podanego serwera a
nastpnie zwraca odpowiedzi do klienta, jednoczenie zachowujc je
lokalnie. Tak wic jeli rzdanie moe zosta wypenione, cakowicie
lub czciowo, korzystajc z danych posiadanych lokalnie, zostan one
uyte, a z serwera bd sprowadzone wycznie informacje niedostpne
lokalnie. Moe to zaoszczdzi wiele czasu, szczeglnie jeli twoi
uytkownicy uywaj klientw news, ktre same nie buforuj danych (jak
np. slrn, ktry ciga nagwki przy kadym wejciu na grup).

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
#%patch2 -p1
%patch3 -p1

%build
# Ugly, but works :) It is regenerated by ./configure.
cp -f mk/rules.mk{.in,}
rm -f missing

aclocal
autoheader
%{__automake}
%{__autoconf}
CPPFLAGS="-I.. %{rpmcflags}"

%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/cache/nntp \
	   $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d \
	   $RPM_BUILD_ROOT%{_datadir}/%{name}

%{__make} install DESTDIR="$RPM_BUILD_ROOT"

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/nntpcache.config{-dist,}
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/nntpcache.servers{-dist,}
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/nntpcache.access{-dist,}
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/innreport.conf{-dist,}
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/pubring.pgp{-dist,}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/http $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -r /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart >&2
else
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start NNTP Cache daemons."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop >&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog FAQ HACKING LICENSING README{,.INN}
%attr(770,root,news) %dir %{_sysconfdir}/%{name}
%attr(640,root,news) %config %{_sysconfdir}/%{name}/nntpcache.config
%attr(640,root,news) %config %{_sysconfdir}/%{name}/nntpcache.servers
%attr(640,root,news) %config %{_sysconfdir}/%{name}/nntpcache.access
%attr(640,root,news) %config %{_sysconfdir}/%{name}/pubring.pgp
%attr(640,root,news) %config %{_sysconfdir}/%{name}/spam.filter
%attr(750,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libexecdir}/*
%attr(755,root,root) %{_sbindir}/newshound
%attr(755,root,root) %{_sbindir}/nntpcached
%{_datadir}/%{name}
%attr(770,root,news) %dir /var/cache/nntp
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: nntpcache.spec,v $
Revision 1.16  2002/06/05 22:17:49  juandon
- fixed Makefile.patch
- added ext.patch
- commented am_fix.patch (it was opponent of Makefile.patch
  and root priviliges were required to build)
- added -I.. to CPPFLAGS for clear building
- Release 3 STBR

Revision 1.15  2002/05/21 23:14:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.13  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/25 07:51:47  marcus
- rel.2.

Revision 1.11  2002/02/23 04:05:41  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/07 20:49:54  blues
- am_fix patch

Revision 1.7  2001/10/04 07:53:22  qboosh
- BuildRequires: autoconf, automake

Revision 1.6  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.4  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.3  2000/10/18 21:18:43  mkochano
- Added nntpcache-config.patch.
- Builds, works. Seems OK.

Revision 1.2  2000/10/16 20:52:38  kloczek
- added rc-scripts and /sbin/chkconfig to Prereq,
- modifications for using new rpma automation,
- standarized %preun,
- few cosmetics.
NOTE: Makefile patch is missing.

Revision 1.1  2000/10/16 18:57:30  mkochano
- Early version, needs some work, but I can't make this piece of
  shi^H^Hoftware work. It expires EVERYTHING after about one minute. This
  isn't only my problem, but there were no response on nntpcache-users mailing
  list and I don't have time to investigate this :(
